<?php
	// MyBB SSO Client Integration plugin Admin CP login override.
	// (C) 2015 CubicleSoft.  All Rights Reserved.

	// Disallow direct access to this file for security reasons.
	if (!defined("IN_MYBB"))
	{
		die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
	}

	// This hacky workaround is required because plugin support in the Admin CP is MIA.
	class Page extends DefaultPage
	{
		function show_login($message = "", $class = "success")
		{
			global $lang, $logged_out, $sso_mybb_client;

			if ($logged_out)  $sso_mybb_client->Logout();

			if ($message == "")
			{
				$lang->load("SSOClient_plugin_admin");
				$message = $lang->SSOClient_sign_in;
			}
			SSOClient_do_login($message);
		}
	}

	class SidebarItem extends DefaultSidebarItem
	{
	}

	class PopupMenu extends DefaultPopupMenu
	{
	}

	class Table extends DefaultTable
	{
	}

	class Form extends DefaultForm
	{
	}

	class FormContainer extends DefaultFormContainer
	{
	}

	// Revert everything else back to the previous style with fallback to the 'default' style.
	$mybb->settings["cpstyle"] = $mybb->settings["orig_cpstyle"];
	$cp_style = $mybb->settings["cpstyle"];
	if (empty($cp_style))  $cp_style = "default";
?>